using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using FakturyWeb.Data;
using RazorPagesMovie.Models;

namespace FakturyWeb.Pages.Zakaznik
{
    public class EditModel : PageModel
    {
        private readonly FakturyWeb.Data.FakturyWebContext _context;

        public EditModel(FakturyWeb.Data.FakturyWebContext context)
        {
            _context = context;
        }

        [BindProperty]
        public ZAKAZNIK ZAKAZNIK { get; set; }

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            ZAKAZNIK = await _context.ZAKAZNIK.FirstOrDefaultAsync(m => m.ID == id);

            if (ZAKAZNIK == null)
            {
                return NotFound();
            }
            return Page();
        }

        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see https://aka.ms/RazorPagesCRUD.
        public async Task<IActionResult> OnPostAsync()
        {
            if (!ModelState.IsValid)
            {
                return Page();
            }

            _context.Attach(ZAKAZNIK).State = EntityState.Modified;

            try
            {
                await _context.SaveChangesAsync();
            }
            catch (DbUpdateConcurrencyException)
            {
                if (!ZAKAZNIKExists(ZAKAZNIK.ID))
                {
                    return NotFound();
                }
                else
                {
                    throw;
                }
            }

            return RedirectToPage("./Index");
        }

        private bool ZAKAZNIKExists(int id)
        {
            return _context.ZAKAZNIK.Any(e => e.ID == id);
        }
    }
}
